Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class CurrentEntityManagerImpl

    java.lang.Object
      org.hibernate.ejb.AbstractEntityManagerImpl
          org.hibernate.ejb.CurrentEntityManagerImpl

All Implemented Interfaces:
  java.io.Serializable, javax.persistence.EntityManager, HibernateEntityManager, HibernateEntityManagerImplementor

Deprecated. no longer used since getEntityManager is no longer here

    public class CurrentEntityManagerImpl

extends AbstractEntityManagerImpl

Author:
  Gavin King, Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`persistenceContextType, tx`

Constructor Summary
`CurrentEntityManagerImpl(org.hibernate.SessionFactory sessionFactory, javax.persistence.spi.PersistenceUnitTransactionType transactionType, java.util.Map properties)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`protected org.hibernate.Session` | `getRawSession()` Deprecated. Return a Session (even if the entity manager is closed
`org.hibernate.Session` | `getSession()` Deprecated. return a Session
`boolean` | `isOpen()` Deprecated.

Methods inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`clear, contains, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, find, flush, getDelegate, getFlushMode, getReference, getTransaction, isTransactionInProgress, joinTransaction, lock, markAsRollback, merge, persist, postInit, refresh, remove, setFlushMode, throwPersistenceException, throwPersistenceException, wrapStaleStateException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentEntityManagerImpl

    public CurrentEntityManagerImpl(org.hibernate.SessionFactory sessionFactory,
                                    javax.persistence.spi.PersistenceUnitTransactionType transactionType,
                                    java.util.Map properties)

  Deprecated.

Method Detail

### getSession

    public org.hibernate.Session getSession()

  Deprecated.
  Description copied from class: `AbstractEntityManagerImpl`
  return a Session

  Specified by:
    `getSession` in interface `HibernateEntityManager`
  Specified by:
    `getSession` in class `AbstractEntityManagerImpl`

### getRawSession

    protected org.hibernate.Session getRawSession()

  Deprecated.
  Description copied from class: `AbstractEntityManagerImpl`
  Return a Session (even if the entity manager is closed

  Specified by:
    `getRawSession` in class `AbstractEntityManagerImpl`

### close

    public void close()

  Deprecated.

### isOpen

    public boolean isOpen()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD